#!/bin/bash

# Go to main packwiz dir
cd ..

# Define the directory to monitor
directory="."

# Function to execute the command
run_command() {
    /root/bin/packwiz refresh
}


# Run packwiz every 3 seconds in case files are renamed
(
    while true; do
        run_command
        sleep 2
    done
) &

## Monitor directory for file changes
inotifywait -m -r --exclude "(\.git|index\.toml|pack\.toml)" -e modify,create,delete "$directory" | while read -r directory event file
do
    echo "The file '$file' changed in directory '$directory' via '$event'"
    run_command
done


